"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [10.04.2019]
 */
var BarcodeFormatEnum;
(function (BarcodeFormatEnum) {
    BarcodeFormatEnum["EAN13"] = "EAN13";
    BarcodeFormatEnum["EAN8"] = "EAN8";
    BarcodeFormatEnum["CODE39"] = "CODE39";
    BarcodeFormatEnum["UPC"] = "UPC";
})(BarcodeFormatEnum = exports.BarcodeFormatEnum || (exports.BarcodeFormatEnum = {}));
/**
 * @stable [11.04.2019]
 */
exports.BARCODE_APPLICABLE_FORMATS = [
    BarcodeFormatEnum.EAN8,
    BarcodeFormatEnum.EAN13,
    BarcodeFormatEnum.CODE39,
    BarcodeFormatEnum.UPC
];
//# sourceMappingURL=barcode.interface.js.map