import { IUniversalContainerProps } from '../../definition';
import { IUniversalStoreEntity, IUniversalContainerClassEntity } from '../../entities-definitions.interface';
import { ConnectorMapperT } from '../../configurations-definitions.interface';
/**
 * @stable [27.08.2018]
 * @param {IUniversalContainerClassEntity} containerCtor
 * @param {ConnectorMapperT<TStoreEntity extends IUniversalStoreEntity>} mappers
 * @returns {IUniversalContainerClassEntity}
 */
export declare const universalConnectorFactory: <TStoreEntity extends IUniversalStoreEntity<{}, {}> = IUniversalStoreEntity<{}, {}>>(containerCtor: IUniversalContainerClassEntity<IUniversalContainerProps, {}>, ...mappers: ConnectorMapperT<TStoreEntity>[]) => IUniversalContainerClassEntity<IUniversalContainerProps, {}>;
