"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var checkbox_1 = require("../checkbox");
var thumb_1 = require("../../thumb");
var util_1 = require("../../../util");
var Switch = /** @class */ (function (_super) {
    __extends(Switch, _super);
    function Switch() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [26.05.2019]
     * @returns {JSX.Element}
     */
    Switch.prototype.getInputElement = function () {
        return (React.createElement(React.Fragment, null,
            React.createElement(thumb_1.Thumb, { className: 'rac-switch__thumb', disabled: this.isFieldDisabled(), value: this.value }),
            _super.prototype.getInputElement.call(this)));
    };
    /**
     * @stable [31.08.2018]
     * @returns {string}
     */
    Switch.prototype.getFieldClassName = function () {
        return util_1.toClassName(_super.prototype.getFieldClassName.call(this), 'rac-switch', this.value ? 'rac-switch-checked' : 'rac-switch-unchecked');
    };
    /**
     * @stable [26.05.2019]
     * @returns {string}
     */
    Switch.prototype.getSelfElementClassName = function () {
        return util_1.toClassName(_super.prototype.getSelfElementClassName.call(this), 'rac-flex', 'rac-flex-align-items-center');
    };
    /**
     * @stable [31.05.2019]
     * @returns {string}
     */
    Switch.prototype.getInputWrapperElementClassName = function () {
        return util_1.toClassName(_super.prototype.getInputWrapperElementClassName.call(this), 'rac-flex-align-items-center');
    };
    return Switch;
}(checkbox_1.BaseCheckbox));
exports.Switch = Switch;
//# sourceMappingURL=switch.component.js.map