"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var dialog_component_1 = require("../../dialog/dialog.component");
var FormDialog = /** @class */ (function (_super) {
    __extends(FormDialog, _super);
    function FormDialog() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [31.05.2018]
     */
    FormDialog.prototype.activate = function () {
        if (this.isDialogVisible()) {
            _super.prototype.activate.call(this);
        }
        else {
            this.onAccept();
        }
    };
    /**
     * @stable [04.08.2018]
     */
    FormDialog.prototype.isDialogVisible = function () {
        return this.props.form.dirty;
    };
    FormDialog.defaultProps = {
        title: 'Changes you made will not be saved',
        closeMessage: 'Cancel',
        acceptMessage: 'Discard',
    };
    return FormDialog;
}(dialog_component_1.Dialog));
exports.FormDialog = FormDialog;
//# sourceMappingURL=form-dialog.component.js.map