import * as React from 'react';
import { UniversalLayoutViewBuilder } from './universal-layout-view.builder';
export declare abstract class ReactBaseLayoutViewBuilder extends UniversalLayoutViewBuilder<React.ReactNode> {
    /**
     * @stable [22.10.2018]
     * @param {React.ReactNode} item
     * @param {React.ClassAttributes<{}>} props
     * @returns {React.ReactNode}
     */
    cloneItem(item: React.ReactNode, props: React.ClassAttributes<{}>): React.ReactNode;
}
