"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_native_1 = require("react-native");
var native_base_1 = require("native-base");
var universal_component_1 = require("../base/universal.component");
var RnModal = /** @class */ (function (_super) {
    __extends(RnModal, _super);
    function RnModal() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable - 20.04.2018
     * @returns {JSX.Element}
     */
    RnModal.prototype.render = function () {
        var props = this.props;
        return (React.createElement(native_base_1.View, { style: [styles.container, { height: height, width: width }] },
            React.createElement(native_base_1.View, { style: [styles.container, __assign({}, props.shadowStyle, { height: height, width: width })] }),
            React.createElement(native_base_1.View, { style: __assign({ flex: 1 }, props.centerAlignment ? { flexDirection: 'row', alignItems: 'center' } : {}) }, props.hasContentWrapper
                ? React.createElement(native_base_1.Content, null, props.children)
                : props.children)));
    };
    RnModal.defaultProps = {
        shadowStyle: {
            backgroundColor: '#808080',
            opacity: .5,
        },
        hasContentWrapper: true,
        centerAlignment: true,
    };
    return RnModal;
}(universal_component_1.UniversalComponent));
exports.RnModal = RnModal;
var styles = react_native_1.StyleSheet.create({
    container: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
    },
});
var _a = react_native_1.Dimensions.get('window'), height = _a.height, width = _a.width;
//# sourceMappingURL=rn-modal.component.js.map