/// <reference types="react" />
import { BaseContainer } from '../base';
import { IToolbarToolsContainerProps } from './toolbar-tools.interface';
export declare class ToolbarToolsContainer extends BaseContainer<IToolbarToolsContainerProps> {
    private readonly defaultActions;
    /**
     * @stable [10.03.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [10.03.2019]
     */
    private onRefreshClick;
    /**
     * @stable [10.03.2019]
     */
    private onFilterClick;
    /**
     * @stable [16.04.2019]
     */
    private onDownloadFileClick;
}
