"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var field_1 = require("../../field");
var universal_search_toolbar_component_1 = require("./universal-search-toolbar.component");
var layout_1 = require("../../layout");
var button_1 = require("../../button");
var SearchToolbar = /** @class */ (function (_super) {
    __extends(SearchToolbar, _super);
    function SearchToolbar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [17.09.2018]
     * @returns {JSX.Element}
     */
    SearchToolbar.prototype.render = function () {
        var props = this.props;
        return (React.createElement(layout_1.FlexLayout, { row: true, justifyContentEnd: true, alignItemsCenter: true, full: props.full, className: util_1.toClassName('rac-toolbar', props.className) },
            this.actionsElementsSection,
            this.fieldSection));
    };
    Object.defineProperty(SearchToolbar.prototype, "fieldWrapper", {
        /**
         * @stable [18.05.2018]
         * @returns {JSX.Element}
         */
        get: function () {
            return this.searchField;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SearchToolbar.prototype, "actionsElementsWrapper", {
        /**
         * @stable [18.05.2018]
         * @returns {JSX.Element}
         */
        get: function () {
            return this.actionsElements;
        },
        enumerable: true,
        configurable: true
    });
    SearchToolbar.prototype.getActionElement = function (config) {
        return React.createElement(button_1.Button, __assign({}, config)); // TODO
    };
    Object.defineProperty(SearchToolbar.prototype, "searchField", {
        /**
         * @stable [18.05.2018]
         * @returns {JSX.Element}
         */
        get: function () {
            return (React.createElement(field_1.TextField, __assign({}, this.fieldProps)));
        },
        enumerable: true,
        configurable: true
    });
    return SearchToolbar;
}(universal_search_toolbar_component_1.UniversalSearchToolbar));
exports.SearchToolbar = SearchToolbar;
//# sourceMappingURL=search-toolbar.component.js.map