"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_viewer_component_1 = require("../vue-viewer.component");
var VueBasePictureViewer = /** @class */ (function (_super) {
    __extends(VueBasePictureViewer, _super);
    /**
     * @stable [29.11.2018]
     */
    function VueBasePictureViewer() {
        var _this = _super.call(this) || this;
        _this.getBackgroundImage = _this.getBackgroundImage.bind(_this);
        return _this;
    }
    /**
     * @stable [29.11.2018]
     * @returns {string}
     */
    VueBasePictureViewer.prototype.getPopupBodyTemplate = function () {
        return "\n        <vue-flex-layout :alignItemsCenter=\"true\"\n                         :justifyContentCenter=\"true\"\n                         className=\"vue-viewer-popup-image-wrapper\">\n            <img ref=\"self\"\n                 :src=\"getSrc()\"\n                 class=\"vue-picture-viewer-image\"/>\n        </vue-flex-layout>\n    ";
    };
    /**
     * @stable [29.11.2018]
     * @returns {string}
     */
    VueBasePictureViewer.prototype.getPreviewTemplate = function () {
        return "\n      <vue-flex-layout :styles=\"{'background-image': getBackgroundImage()}\"\n                       class=\"" + this.getPreviewClassName() + "\"\n                       v-on:click.native=\"onOpenPopup\"/>\n    ";
    };
    /**
     * @stable [29.11.2018]
     * @returns {IVueBasePictureViewerTemplateMethodsEntity}
     */
    VueBasePictureViewer.prototype.getTemplateMethods = function () {
        return __assign({}, _super.prototype.getTemplateMethods.call(this), { getBackgroundImage: this.getBackgroundImage });
    };
    /**
     * @stable [29.11.2018]
     * @returns {TElement}
     */
    VueBasePictureViewer.prototype.getSelf = function () {
        return this.getChildrenRefs().self;
    };
    /**
     * @stable [29.11.2018]
     * @returns {string}
     */
    VueBasePictureViewer.prototype.getBackgroundImage = function () {
        return "url(" + this.src + ")";
    };
    return VueBasePictureViewer;
}(vue_viewer_component_1.VueViewer));
exports.VueBasePictureViewer = VueBasePictureViewer;
//# sourceMappingURL=vue-base-picture-viewer.component.js.map