import { ILogManager } from './log-manager.interface';
import { AnyT } from '../definitions.interface';
export declare class LogManager implements ILogManager {
    private static readonly logger;
    private readonly store;
    private readonly dc;
    /**
     * @stable [11.08.2019]
     */
    send(category: string, eventAction: string, payload?: AnyT): void;
    /**
     * @stable [11.08.2019]
     * @param {AnyT} payload
     * @returns {string}
     */
    private getEventLabel;
}
