import { IPermissionsService } from './permissions.interface';
import { IStoreEntity } from '../entities-definitions.interface';
export declare class PermissionsService<TAccessConfig, TStore = IStoreEntity> implements IPermissionsService<TAccessConfig> {
    private readonly store;
    /**
     * @stable [18.09.2019]
     * @param {TAccessConfig} permissionObject
     * @returns {boolean}
     */
    isAccessible(permissionObject: TAccessConfig): boolean;
    /**
     * @stable [17.09.2019]
     * @returns {TStore}
     */
    protected getState(): TStore;
}
