import { AnyT, IIdWrapper } from '../definitions.interface';
export interface ISetFileResult extends IIdWrapper<string> {
    filePath: string;
}
export interface IMultiEntityStorageResult {
    addResults: AnyT[];
    removeResults: void[];
}
export interface IApplicationStorageHelper {
    saveFiles<TEntity>(changes: TEntity, fields: Array<(entity: TEntity) => string>): Promise<IMultiEntityStorageResult[]>;
}
/**
 * @stable [29.07.2019]
 */
export declare const STORAGE_KEY_SEPARATOR = "#";
export declare const NOT_VERSIONED_STORAGE_KEY: string;
export declare const VERSIONED_STORAGE_KEY: string;
