"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var storage_interface_1 = require("./storage.interface");
var util_1 = require("../util");
/**
 * @stable [29.07.2019]
 * @param {string} parts
 * @returns {string}
 */
exports.toStorageKeyPrefix = function () {
    var parts = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        parts[_i] = arguments[_i];
    }
    return util_1.notNilValuesArrayFilter.apply(void 0, parts).join(storage_interface_1.STORAGE_KEY_SEPARATOR);
};
/**
 * @stable [27.06.2018]
 * @param {IMultiEntityStorageResult} result
 * @returns {string}
 */
exports.extractIdFromSetFilesResult = function (result) { return util_1.orUndef(result && result.addResults.length, function () { return result.addResults[0].id; }); };
//# sourceMappingURL=storage.support.js.map