import { IEffectsAction } from 'redux-effects-promise';
import { IEntity } from '../../definitions.interface';
export declare function makeEditedListEffectsProxy<TEntity extends IEntity, TApplicationState>(config: {
    listSection: string;
    useLazyLoading?: boolean;
    formSection?: any;
    path?(entity?: TEntity, state?: TApplicationState, action?: IEffectsAction): string;
    changesResolver?(state: TApplicationState): TEntity;
}): () => void;
