import { AnyAction, Reducer } from 'redux';
import { notificationReducer } from '../notification';
import { dictionariesReducer } from '../dictionary';
import { ILayoutEntity } from '../entities-definitions.interface';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    dictionaries: typeof dictionariesReducer;
    permissions: (state: any, action: AnyAction) => any;
    user: (state: any, action: AnyAction) => any;
    layout: (state: ILayoutEntity, action: AnyAction) => ILayoutEntity;
    stack: (state: import("core/definition/stack-definition.interface").IStackEntity, action: AnyAction) => import("core/definition/stack-definition.interface").IStackEntity;
    notification: typeof notificationReducer;
};
