import { IEffectsAction } from 'redux-effects-promise';
import { IEntity } from '../definitions.interface';
/**
 * @stable [30.05.2019]
 * @param {IEffectsAction} action
 * @returns {boolean}
 */
export declare const isSelectedEntityInitiallyNotSelected: (action: IEffectsAction) => boolean;
/**
 * @stable [30.05.2019]
 * @param {IEffectsAction} action
 * @returns {TEntity extends IEntity}
 */
export declare const getSelectedEntityFromAction: <TEntity extends IEntity = IEntity>(action: IEffectsAction) => TEntity;
