import * as React from 'react';
/**
 * @stable [31.08.2019]
 * @param {() => void} handler
 * @param {boolean} canAttachHandler
 * @returns {React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement>}
 */
export declare const handlerPropsFactory: <TElement extends HTMLElement>(handler: () => void, canAttachHandler?: boolean) => React.DetailedHTMLProps<React.HTMLAttributes<TElement>, TElement>;
