import { IKeyValue } from '../definitions.interface';
import { ITransportUrlConfigEntity } from '../definition';
/**
 * @stable [19.09.2019]
 * @param {string} uri
 * @returns {boolean}
 */
export declare const isAbsoluteURI: (uri: string) => boolean;
/**
 * @stable [11.09.2018]
 * @param {IKeyValue} params
 * @returns {string}
 */
export declare const buildEncodedURI: (params: IKeyValue) => string;
/**
 * @stable [12.09.2018]
 * @param {string} url
 * @returns {string}
 */
export declare const prepareUrl: (url: string) => string;
/**
 * @stable [16.09.2019]
 * @param {ITransportUrlConfigEntity} config
 * @returns {string}
 */
export declare const buildTransportUrl: (config: ITransportUrlConfigEntity) => string;
