import { ISettings } from '../../settings';
import { IStorage, ITransport, IVersionProcessor } from '../../definition';
export declare class VersionMetaFilesProcessor implements IVersionProcessor {
    private static readonly logger;
    protected readonly notVersionedSessionStorage: IStorage;
    protected readonly settings: ISettings;
    protected readonly transport: ITransport;
    /**
     * @stable [16.09.2019]
     * @returns {Promise<boolean>}
     */
    processNewVersionUuidAndGetResult(): Promise<boolean>;
    /**
     * @stable [16.09.2019]
     * @returns {IStorage}
     */
    protected getStorage(): IStorage;
}
