/// <reference types="react" />
import { BaseComponent } from '../../component/base';
import { IButtonProps } from '../../definition';
export declare class Button extends BaseComponent<IButtonProps> {
    static defaultProps: IButtonProps;
    private buttonRef;
    /**
     * @stable [27.01.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.02.2019]
     */
    blur(): void;
    /**
     * @stable [23.02.2019]
     * @returns {HTMLButtonElement}
     */
    private readonly buttonEl;
    /**
     * @stable [23.02.2019]
     * @returns {IButtonProps}
     */
    private readonly globalButtonSettings;
    /**
     * @stable [23.02.2019]
     * @returns {boolean}
     */
    private readonly isButtonRippled;
}
