"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var vue_index_1 = require("../../connector/vue-index");
var vue_index_2 = require("../multifield/vue-index");
var vue_base_filefield_component_1 = require("./vue-base-filefield.component");
var VueMultiFileField = /** @class */ (function (_super) {
    __extends(VueMultiFileField, _super);
    function VueMultiFileField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [25.11.2018]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    VueMultiFileField.prototype.render = function (createElement) {
        return _super.prototype.render.call(this, createElement);
    };
    /**
     * @stable [28.11.2018]
     * @param newValue
     * @param {AnyT} context
     */
    VueMultiFileField.prototype.onChangeManually = function (newValue, context) {
        _super.prototype.onChangeManually.call(this, newValue, context);
    };
    /**
     * @stable [21.12.2018]
     * @returns {string}
     */
    VueMultiFileField.prototype.getFieldClassName = function () {
        return _super.prototype.getFieldClassName.call(this) + " vue-multi-file-field";
    };
    /**
     * @stable [27.02.2019]
     * @returns {IEntity[]}
     */
    VueMultiFileField.prototype.getEntities = function () {
        return vue_index_2.asViewedMultiItemEntities(this.getValue(), this.maxFiles);
    };
    VueMultiFileField = __decorate([
        vue_index_1.ComponentName('vue-multi-file-field'),
        vue_property_decorator_1.Component
    ], VueMultiFileField);
    return VueMultiFileField;
}(vue_base_filefield_component_1.VueBaseFileField));
//# sourceMappingURL=vue-multi-filefield.component.js.map