import * as React from 'react';
import { UniversalLayoutBuilder } from './universal-layout.builder';
import { ILayoutViewBuilder } from './layout-builder.interface';
import { ReactLayoutBuilderChildrenT } from '../../../react-configurations-definitions.interface';
export declare class LayoutBuilder extends UniversalLayoutBuilder<React.ReactNode> {
    /**
     * @stable [22.10.2018]
     * @param {ILayoutViewBuilder<React.ReactNode>} layoutViewBuilder
     */
    constructor(layoutViewBuilder?: ILayoutViewBuilder<React.ReactNode>);
    /**
     * @stable [22.10.2018]
     * @param {ReactLayoutBuilderChildrenT} item
     * @returns {string}
     */
    protected getClonedItemKey(item: ReactLayoutBuilderChildrenT): string;
}
