"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var native_base_1 = require("native-base");
var util_1 = require("../../../util");
var universal_component_1 = require("../../base/universal.component");
var RnListItem = /** @class */ (function (_super) {
    __extends(RnListItem, _super);
    function RnListItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RnListItem.prototype.render = function () {
        var props = this.props;
        var rawData = props.rawData;
        return (React.createElement(native_base_1.ListItem, { key: util_1.nvl(rawData.id, util_1.uuid()), icon: !!props.avatar, onPress: props.onClick },
            util_1.orNull(props.avatar, function () { return (React.createElement(native_base_1.Left, null,
                React.createElement(native_base_1.Icon, { name: util_1.isString(props.avatar)
                        ? props.avatar
                        : props.avatar.call(null, rawData) }))); }),
            React.createElement(native_base_1.Body, null, util_1.ifNotNilThanValue(props.renderer, function () { return props.renderer(rawData); }, function () { return (React.createElement(native_base_1.Text, null, props.tpl(rawData))); })),
            React.createElement(native_base_1.Right, null)));
    };
    return RnListItem;
}(universal_component_1.UniversalComponent));
exports.RnListItem = RnListItem;
//# sourceMappingURL=rn-list-item.component.js.map