"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [18.04.2018]
 */
var FieldActionPositionEnum;
(function (FieldActionPositionEnum) {
    FieldActionPositionEnum[FieldActionPositionEnum["LEFT"] = 0] = "LEFT";
    FieldActionPositionEnum[FieldActionPositionEnum["RIGHT"] = 1] = "RIGHT";
})(FieldActionPositionEnum = exports.FieldActionPositionEnum || (exports.FieldActionPositionEnum = {}));
/**
 * @stable [08.05.2018]
 */
var KeyboardKeyEnum;
(function (KeyboardKeyEnum) {
    KeyboardKeyEnum[KeyboardKeyEnum["UPPERCASE"] = 0] = "UPPERCASE";
    KeyboardKeyEnum[KeyboardKeyEnum["CHANGE_LAYOUT"] = 1] = "CHANGE_LAYOUT";
    KeyboardKeyEnum[KeyboardKeyEnum["LOWERCASE"] = 2] = "LOWERCASE";
    KeyboardKeyEnum[KeyboardKeyEnum["BACKSPACE"] = 3] = "BACKSPACE";
    KeyboardKeyEnum[KeyboardKeyEnum["CLOSE"] = 4] = "CLOSE";
    KeyboardKeyEnum[KeyboardKeyEnum["SPACE"] = 5] = "SPACE";
    KeyboardKeyEnum[KeyboardKeyEnum["ENTER"] = 6] = "ENTER";
})(KeyboardKeyEnum = exports.KeyboardKeyEnum || (exports.KeyboardKeyEnum = {}));
/* @stable - 14.04.2018 */
var ContainerVisibilityTypeEnum;
(function (ContainerVisibilityTypeEnum) {
    ContainerVisibilityTypeEnum[ContainerVisibilityTypeEnum["PUBLIC"] = 0] = "PUBLIC";
    ContainerVisibilityTypeEnum[ContainerVisibilityTypeEnum["PRIVATE"] = 1] = "PRIVATE";
})(ContainerVisibilityTypeEnum = exports.ContainerVisibilityTypeEnum || (exports.ContainerVisibilityTypeEnum = {}));
/**
 * @stable [22.10.2018]
 */
var LayoutBuilderTypeEnum;
(function (LayoutBuilderTypeEnum) {
    LayoutBuilderTypeEnum[LayoutBuilderTypeEnum["VERTICAL"] = 0] = "VERTICAL";
    LayoutBuilderTypeEnum[LayoutBuilderTypeEnum["HORIZONTAL"] = 1] = "HORIZONTAL";
})(LayoutBuilderTypeEnum = exports.LayoutBuilderTypeEnum || (exports.LayoutBuilderTypeEnum = {}));
/* @stable - 16.04.2018 */
exports.LAYOUT_BUILDER_TYPES = {
    VERTICAL: LayoutBuilderTypeEnum.VERTICAL,
    HORIZONTAL: LayoutBuilderTypeEnum.HORIZONTAL,
};
/* @stable - 16.04.2018 */
var LayoutBuilderFactorsEnum;
(function (LayoutBuilderFactorsEnum) {
    LayoutBuilderFactorsEnum[LayoutBuilderFactorsEnum["FACTOR_0_5"] = 0] = "FACTOR_0_5";
    LayoutBuilderFactorsEnum[LayoutBuilderFactorsEnum["FACTOR_0_75"] = 1] = "FACTOR_0_75";
    LayoutBuilderFactorsEnum[LayoutBuilderFactorsEnum["FACTOR_1"] = 2] = "FACTOR_1";
    LayoutBuilderFactorsEnum[LayoutBuilderFactorsEnum["FACTOR_2"] = 3] = "FACTOR_2";
    LayoutBuilderFactorsEnum[LayoutBuilderFactorsEnum["FACTOR_4"] = 4] = "FACTOR_4";
    LayoutBuilderFactorsEnum[LayoutBuilderFactorsEnum["FACTOR_8"] = 5] = "FACTOR_8";
})(LayoutBuilderFactorsEnum = exports.LayoutBuilderFactorsEnum || (exports.LayoutBuilderFactorsEnum = {}));
/* @stable - 16.04.2018 */
exports.LAYOUT_BUILDER_FACTOR_TYPES = {
    FACTOR_0_5: LayoutBuilderFactorsEnum.FACTOR_0_5,
    FACTOR_0_75: LayoutBuilderFactorsEnum.FACTOR_0_75,
    FACTOR_1: LayoutBuilderFactorsEnum.FACTOR_1,
    FACTOR_2: LayoutBuilderFactorsEnum.FACTOR_2,
    FACTOR_4: LayoutBuilderFactorsEnum.FACTOR_4,
    FACTOR_8: LayoutBuilderFactorsEnum.FACTOR_8,
};
/**
 * @stable [13.09.2018]
 */
var ToolbarActionEnum;
(function (ToolbarActionEnum) {
    ToolbarActionEnum[ToolbarActionEnum["OPEN_FILTER"] = 0] = "OPEN_FILTER";
    ToolbarActionEnum[ToolbarActionEnum["CLEAR_FILTER"] = 1] = "CLEAR_FILTER";
    ToolbarActionEnum[ToolbarActionEnum["REFRESH_DATA"] = 2] = "REFRESH_DATA";
    ToolbarActionEnum[ToolbarActionEnum["DOWNLOAD_DATA"] = 3] = "DOWNLOAD_DATA";
})(ToolbarActionEnum = exports.ToolbarActionEnum || (exports.ToolbarActionEnum = {}));
//# sourceMappingURL=configurations-definitions.interface.js.map