import { IDisabledWrapper, IEmptyValueWrapper, ILabelWrapper, IMaskWrapper, INameWrapper, IPatternWrapper, IPlaceholderWrapper, IProgressWrapper, IReadOnlyWrapper, ITabIndexWrapper, IVisibleWrapper } from '../definitions.interface';
/**
 * @stable [28.05.2019]
 */
export declare const FIELD_DISPLAY_EMPTY_VALUE = "";
export declare const FIELD_VALUE_TO_CLEAR_DIRTY_CHANGES: any;
/**
 * @stable [27.05.2019]
 */
export interface IGenericFieldEntity extends IDisabledWrapper, IEmptyValueWrapper, ILabelWrapper, IMaskWrapper, INameWrapper, IPatternWrapper, IPlaceholderWrapper, IProgressWrapper, IReadOnlyWrapper, ITabIndexWrapper, IVisibleWrapper {
}
