"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var definition_1 = require("../definition");
var env_interface_1 = require("./env.interface");
var Environment = /** @class */ (function () {
    function Environment() {
        this.document = env_interface_1.ENV.document;
        this.documentClickEvent = env_interface_1.ENV.mobilePlatform
            ? definition_1.TouchEventsEnum.TOUCH_START
            : definition_1.EventsEnum.MOUSE_DOWN;
        this.appProfile = env_interface_1.ENV.appProfile;
        this.appNamespace = env_interface_1.ENV.appNamespace;
    }
    Environment = __decorate([
        inversify_1.injectable()
    ], Environment);
    return Environment;
}());
exports.Environment = Environment;
//# sourceMappingURL=env.service.js.map