"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var storage_interface_1 = require("../storage/storage.interface");
var BaseStorage = /** @class */ (function () {
    /**
     * @stable [29.07.2019]
     * @param {string} prefix
     */
    function BaseStorage(prefix) {
        this.prefix = prefix;
    }
    /**
     * @stable [28.07.2019]
     * @param {string} key
     * @returns {string}
     */
    BaseStorage.prototype.toKey = function (key) {
        return [this.prefix, key].join(storage_interface_1.STORAGE_KEY_SEPARATOR);
    };
    return BaseStorage;
}());
exports.BaseStorage = BaseStorage;
//# sourceMappingURL=base-storage.service.js.map