"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var localforage = require("localforage");
var di_1 = require("../../di");
var database_storage_service_1 = require("./database-storage.service");
var storage_interface_1 = require("../storage.interface");
di_1.appContainer.bind(di_1.DI_TYPES.DatabaseStorage).toConstantValue(new database_storage_service_1.DatabaseStorage(localforage.createInstance({
    driver: localforage.INDEXEDDB,
    name: 'sweedposApp',
    version: 1.0,
    storeName: 'sweedposDefaultDatabase',
}), storage_interface_1.VERSIONED_STORAGE_KEY));
//# sourceMappingURL=database-storage.module.js.map