import { IMultiEntity } from '../../entities-definitions.interface';
import { IMultiEntityStorageResult } from '../storage.interface';
import { IStorage } from '../../definition';
export declare class MultiEntityDatabaseStorage implements IStorage {
    private readonly fileStorage;
    private readonly databaseStorage;
    /**
     * @stable [30.07.2019]
     * @param {string} key
     * @param {IMultiEntity} entity
     * @returns {Promise<IMultiEntityStorageResult>}
     */
    set(key: string, entity: IMultiEntity): Promise<IMultiEntityStorageResult>;
}
