import { IApplicationStorageHelper } from './storage.interface';
import { IMultiEntityStorageResult } from './storage.interface';
export declare class StorageHelper implements IApplicationStorageHelper {
    private storage;
    /**
     * @stable [28.06.2018]
     * @param {TEntity} changes
     * @param {Array<(entity: TEntity) => string>} fields
     * @returns {Promise<IMultiEntityStorageResult[]>}
     */
    saveFiles<TEntity>(changes: TEntity, fields: Array<(entity: TEntity) => string>): Promise<IMultiEntityStorageResult[]>;
}
