"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../di");
var default_storage_service_1 = require("./default/default-storage.service");
var definition_1 = require("../definition");
var storage_helper_1 = require("./storage.helper");
var storage_interface_1 = require("./storage.interface");
require("./database/database-storage.module");
require("./default/default-storage.module");
di_1.appContainer.bind(di_1.DI_TYPES.NotVersionedPersistentStorage).toConstantValue(new default_storage_service_1.DefaultStorage(storage_interface_1.NOT_VERSIONED_STORAGE_KEY, di_1.getSettings, definition_1.StorageTypesEnum.LOCAL));
di_1.appContainer.bind(di_1.DI_TYPES.NotVersionedSessionStorage).toConstantValue(new default_storage_service_1.DefaultStorage(storage_interface_1.NOT_VERSIONED_STORAGE_KEY, di_1.getSettings, definition_1.StorageTypesEnum.SESSION));
di_1.appContainer.bind(di_1.DI_TYPES.StorageHelper).to(storage_helper_1.StorageHelper).inSingletonScope();
//# sourceMappingURL=storage.module.js.map