"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [11.09.2019]
 * @param {string} name
 * @returns {(constructor: T) => void}
 */
exports.namedConstructor = function (name) {
    return function (constructor) {
        constructor.$$name = name;
    };
};
//# sourceMappingURL=decorator.js.map