"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [17.09.2019]
 * @param {IKeyValue} o
 * @param {number} space
 * @returns {string}
 */
exports.formatJson = function (o, space) {
    if (space === void 0) { space = 4; }
    return JSON.stringify(o, null, space);
};
exports.parseJson = function (o) {
    try {
        return JSON.parse(o);
    }
    catch (e) {
        return null;
    }
};
//# sourceMappingURL=json.js.map